#ifndef __SHOPVIDEO_H__
   #define __SHOPVIDEO_H__

const int  ERR_OK = 0;
const int  ERR_INTERNAL_ERROR		= -100;
const int  ERR_ERROR_OPEN_DEVICE = -101;
const int  ERR_ERROR_WRITE_DEVICE = -102;
const int  ERR_ERROR_READ_DEVICE = -103;
const int  ERR_ERROR_WRITE_TIMEOUT = -104;
const int  ERR_ERROR_READ_TIMEOUT = -105;
const int  TIMEOUT_SEND = 4000;




extern "C" __declspec(dllexport)
   int CALLBACK Send( char * buf );
extern "C" __declspec(dllexport)
   int CALLBACK SendRetry( char * buf, int count );
extern "C" __declspec(dllexport)
   int CALLBACK Initialize( char * ip, char * port );

extern "C" __declspec(dllexport)
   int CALLBACK Close( char * buf );
extern "C" __declspec(dllexport)
   int CALLBACK Open( int reason );
extern "C" __declspec(dllexport)
   int CALLBACK GetOpened( int reason );



//High level
extern "C" __declspec(dllexport)
   int CALLBACK Configure( int channel, int event1, int offset1, char active1, char inactive1,
                 int event2, int offset2, char active2, char inactive2,
                 int event3, int offset3, char active3, char inactive3,
                 int event4, int offset4, char active4, char inactive4,
                 int event5, int offset5, char active5, char inactive5,
                 int event6, int offset6, char active6, char inactive6,
                 int event7, int offset7, char active7, char inactive7,
                 int event8, int offset8, char active8, char inactive8 );

extern "C" __declspec(dllexport)
    int CALLBACK Head( int channel, char * item );
extern "C" __declspec(dllexport)
    int CALLBACK Item( int channel, char * item );
extern "C" __declspec(dllexport)
    int CALLBACK Status( int channel, char * status, int event1, int event2, int event3, int event4, int event5, int event6, int event7, int event8 );
extern "C" __declspec(dllexport)
    int CALLBACK Clear( int channel );
	
   
#endif